<script>
    var requireJS = [];
    loadJS(requireJS, "js/views/common.js");
    loadJS(requireJS, "js/system/balances.js");
</script>

<div class="row">
    <div class="col-sm-6">
        <div class="card">
            <div class="card-header">
                <strong>Generar Balance</strong>
            </div>
            <div class="card-block">
                <div class="form-group row">
                    <div class="col-md-12">
                        <label>Seleccione Mes</label>
                        <div class="input-group">
                            <span class="input-group-addon" title="Mes"><i class="fa fa-calendar"></i></span>
                            <select id="month" name="month" class="form-control">
                                <option value="1" th:selected="${month != null && month == '1'}">Enero</option>
                                <option value="2" th:selected="${month != null && month == '2'}">Febrero</option>
                                <option value="3" th:selected="${month != null && month == '3'}">Marzo</option>
                                <option value="4" th:selected="${month != null && month == '4'}">Abril</option>
                                <option value="5" th:selected="${month != null && month == '5'}">Mayo</option>
                                <option value="6" th:selected="${month != null && month == '6'}">Junio</option>
                                <option value="7" th:selected="${month != null && month == '7'}">Julio</option>
                                <option value="8" th:selected="${month != null && month == '8'}">Agosto</option>
                                <option value="9" th:selected="${month != null && month == '9'}">Septiembre</option>
                                <option value="10" th:selected="${month != null && month == '10'}">Octubre</option>
                                <option value="11" th:selected="${month != null && month == '11'}">Noviembre</option>
                                <option value="12" th:selected="${month != null && month == '12'}">Diciembre</option>                                
                            </select>
                        </div>
                    </div>
                </div>
                <div class="form-group row">
                    <div class="col-md-12">
                        <label>Seleccione Año</label>
                        <div class="input-group">
                            <span class="input-group-addon" title="Año"><i class="fa fa-calendar"></i></span>
                            <select id="year" name="year" class="form-control">
                                <option value="2017" th:selected="${year != null && year == '2017'}">2017</option>
                                <option value="2018" th:selected="${year != null && year == '2018'}">2018</option>    
                                <option value="2019" th:selected="${year != null && year == '2019'}">2019</option>    
                                <option value="2020" th:selected="${year != null && year == '2020'}">2020</option>    
                                <option value="2021" th:selected="${year != null && year == '2021'}">2021</option>    
                            </select>
                        </div>
                    </div>
                </div>
                <div class="form-group row">
                    <div class="col-md-12">
                        <label>Estado</label>
                        <pre id="status-pre">
                            
                        </pre>
                    </div>
                </div>
            </div>
            <div class="card-footer" id="button-pannel">
                <button type="submit" id="action-balance-gen-balance" class="btn btn-sm btn-success"><i class="fa fa-dot-circle-o"></i> Generar Balance</button>
                <button type="submit" id="action-invoice-gen-invoice" class="btn btn-sm btn-success"><i class="fa fa-dot-circle-o"></i> Generar Facturación</button>
                <button type="submit" id="action-invoice-gen-payment" class="btn btn-sm btn-success"><i class="fa fa-dot-circle-o"></i> Procesar Pagos</button>
                <button type="submit" id="action-invoice-regenerate" class="btn btn-sm btn-success"><i class="fa fa-dot-circle-o"></i> regenerar</button>
            </div>
        </div>
    </div>
    
</div>